<?php
/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=tablediscounts_promo<br />
 * Displays conditions page.
 *
 * @package templateSystem
 * @copyright Copyright 2007-2010 That Software Guy
 * @copyright Portions Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 */
?>
<div class="centerColumn" id="tablediscounts_promo">
<h1 id="tablediscountsPromoHeading"><?php echo HEADING_TITLE; ?></h1>

<div id="tablediscountsPromoMainContent" class="content">
<?php
/**
 * require the html_define for the table discounts promo page
 */
  require($define_page);
?>
<?php 
  if (count($marketing_data) > 0) { 
     echo '<div class="content" id="tablediscountsDiscountList">' . "\n";
     for ($i=0, $n=count($marketing_data); $i<$n; $i++) {
        echo '<div class="tableDiscountsDescription">' . $marketing_data[$i]->description . "</div>" . "\n"; 
        echo '<table class="tableDiscountsTable">'; 

        $sched = $marketing_data[$i]->schedule;
        if ($marketing_data[$i]->countstyle == BY_CASE) {
           for ($j = 0, $m = sizeof($sched->min); $j < $m; $j++) {
             echo "<tr><td>" . $sched->min[$j]; 
             echo "</td><td>";
             $reduction = $sched->reduction[$j]; 
             if ($sched->units == "%") { 
                 echo $reduction . "%"; 
             } else if ($sched->units == "$") { 
                echo $currencies->display_price($reduction, 0) . " " . MODULE_ORDER_TOTAL_TABLE_DISCOUNTS_EACH; 
             } else {
                echo $currencies->display_price($reduction, 0); 
             }
             echo "</td></tr>"; 
           }
        } else { 
           for ($j = 0, $m = sizeof($sched->min); $j < $m; $j++) {
             echo "<tr><td>" . $sched->min[$j]; 
             if ($j == ($m-1)) {
                   echo " + ";
             } else {
                   echo " - ";
                   echo $sched->min[$j+1] - 1; 
             }
             echo "</td><td>";
             $reduction = $sched->reduction[$j]; 
             if ($sched->units == "%") { 
                 echo $reduction . "%"; 
             } else if ($sched->units == "$") { 
                echo $currencies->display_price($reduction, 0) . " " . MODULE_ORDER_TOTAL_TABLE_DISCOUNTS_EACH; 
             } else {
                echo $currencies->display_price($reduction, 0); 
             }
             echo "</td></tr>"; 
           }
        }
        echo '</table>'; 
        if (isset($marketing_data[$i]->support)) { 
           foreach ($marketing_data[$i]->support as $support)  {
               echo '<div class="tableDiscountsDiscountSupportingData">' . "\n";
               echo '&nbsp;&nbsp;' . $support . "\n"; 
               echo '</div>' . "\n";
           }  
        }  
        echo '<br />';
     }
     echo '<br /></div>';
     echo '<br class="clearBoth" />'; 
  } else {
     echo '<div class="content" id="tablediscountsDiscountEmptyList">' . "\n";
     echo '<p>' . NO_TABLEDISCOUNTS_DISCOUNTS . '</p>'; 
     echo '</div>' . "\n";
  }
?>
</div>

<div class="buttonRow back"><?php echo zen_back_link() . zen_image_button(BUTTON_IMAGE_BACK, BUTTON_BACK_ALT) . '</a>'; ?></div>
</div>
